org.licas.meta.model

## Class ModuleInfo

- java.lang.Object
- - org.licas.meta.model.ModuleInfo

-     public class ModuleInfo
      extends java.lang.Object

  This stores information on a single module reference.
  Author:
    Kieran Greer

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `filePath` The full path to the module jar file
    `boolean` | `include` True if include the module in the current list
    `java.lang.String` | `moduleName` The jar file name to represent the module
    `long` | `timeStamp` The time since 1 January 1970 UTC in milliseconds when the module was added.
    `java.util.ArrayList<java.lang.String>` | `tpJars` Third party jar files that this module requires

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleInfo()` Create a new instance of ModuleInfo

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.ArrayList<java.lang.String>` | `filesToJars()` Convert the stored files paths into a list of jar files paths for loading.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### include

          public boolean include

      True if include the module in the current list

    - #### timeStamp

          public long timeStamp

      The time since 1 January 1970 UTC in milliseconds when the module was added. `System.currentTimeMillis()` - this is set automatically during the ModuleInfo initialisation.

    - #### moduleName

          public java.lang.String moduleName

      The jar file name to represent the module

    - #### filePath

          public java.lang.String filePath

      The full path to the module jar file

    - #### tpJars

          public java.util.ArrayList<java.lang.String> tpJars

      Third party jar files that this module requires

  - ### Constructor Detail

    - #### ModuleInfo

          public ModuleInfo()

      Create a new instance of ModuleInfo

  - ### Method Detail

    - #### filesToJars

          public java.util.ArrayList<java.lang.String> filesToJars()
                                                            throws java.lang.Exception

      Convert the stored files paths into a list of jar files paths for loading.
      Returns:
        the list of jar file paths.
      Throws:
        `java.lang.Exception` - any error.